Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IUrlTemplates

    public interface IUrlTemplates

URL templates for various types of URLs.

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`String` | `getBlockingActionTemplate()` Returns the blocking action URL template.
`String` | `getDefaultTemplate()` Returns the default URL template.
`String` | `getRenderTemplate()` Returns the render URL template.
`String` | `getResourceTemplate()` Returns the resource URL template.
`String` | `getSecureBlockingActionTemplate()` Returns the secure blocking action URL template.
`String` | `getSecureDefaultTemplate()` Returns the secure default URL template.
`String` | `getSecureRenderTemplate()` Returns the secure render URL template.
`String` | `getSecureResourceTemplate()` Returns the secure resource URL template.
`String` | `getSecureStandaloneTemplate()` Returns the secure standalone portlet URL template.
`String` | `getStandaloneTemplate()` Returns the standalone portlet URL template.
`void` | `setSecureStandaloneTemplate(String secureStandaloneTemplate)` Sets the supplied `secureStandaloneTemplate` value as the secure standalone portlet URL template.
`void` | `setStandaloneTemplate(String standaloneTemplate)` Sets the supplied `standaloneTemplate` value as the standlone portlet URL template.

Method Detail

### getDefaultTemplate

    String getDefaultTemplate()

  Returns the default URL template.

  Returns

### getBlockingActionTemplate

    String getBlockingActionTemplate()

  Returns the blocking action URL template.

  Returns

### getRenderTemplate

    String getRenderTemplate()

  Returns the render URL template.

  Returns

### getResourceTemplate

    String getResourceTemplate()

  Returns the resource URL template.

  Returns

### getSecureDefaultTemplate

    String getSecureDefaultTemplate()

  Returns the secure default URL template.

  Returns

### getSecureBlockingActionTemplate

    String getSecureBlockingActionTemplate()

  Returns the secure blocking action URL template.

  Returns

### getSecureRenderTemplate

    String getSecureRenderTemplate()

  Returns the secure render URL template.

  Returns

### getSecureResourceTemplate

    String getSecureResourceTemplate()

  Returns the secure resource URL template.

  Returns

### getSecureStandaloneTemplate

    String getSecureStandaloneTemplate()

  Returns the secure standalone portlet URL template.

  Returns

### setSecureStandaloneTemplate

    void setSecureStandaloneTemplate(String secureStandaloneTemplate)

  Sets the supplied `secureStandaloneTemplate` value as the secure standalone portlet URL template.

  Parameters
    `secureStandaloneTemplate` -

### getStandaloneTemplate

    String getStandaloneTemplate()

  Returns the standalone portlet URL template.

  Returns

### setStandaloneTemplate

    void setStandaloneTemplate(String standaloneTemplate)

  Sets the supplied `standaloneTemplate` value as the standlone portlet URL template.

  Parameters
    `standaloneTemplate` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved